Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# ConfigVariableDouble Class Reference

This is a convenience class to specialize ConfigVariable as a floating-point type. More...

Inheritance diagram for ConfigVariableDouble:

List of all members.

## Public Member Functions
| ConfigVariableDouble (string name)
| ConfigVariableDouble (string name, string default_value, string description, int flags)
| ConfigVariableDouble (string name, string default_value)
| ConfigVariableDouble (string name, double default_value, string description, int flags)
| ConfigVariableDouble (string name, string default_value, string description)
| ConfigVariableDouble (string name, double default_value, string description)
| ConfigVariableDouble (string name, double default_value)
double | getDefaultValue ()
| Returns the variable's default value.
double | getValue ()
| Returns the variable's value.
double | getWord (int n)
| Returns the variable's nth value.
ConfigVariableDouble | operator= (double value)
| Reassigns the variable's local value.
double | operator[] (int n)
| Returns the value of the variable's nth word.
| setValue (double value)
| Reassigns the variable's local value.
| setWord (int n, double value)
| Reassigns the variable's nth value.
int | size ()
| Returns the number of unique words in the variable.

## Detailed Description

This is a convenience class to specialize ConfigVariable as a floating-point type.

## Constructor & Destructor Documentation

ConfigVariableDouble | ( | string | name | ) |

ConfigVariableDouble | ( | string | name,
|  | string | default_value,
|  | string | description,
|  | int | flags
| ) |  |

ConfigVariableDouble | ( | string | name,
|  | string | default_value,
|  | string | description
| ) |  |

ConfigVariableDouble | ( | string | name,
|  | string | default_value
| ) |  |

ConfigVariableDouble | ( | string | name,
|  | double | default_value,
|  | string | description,
|  | int | flags
| ) |  |

ConfigVariableDouble | ( | string | name,
|  | double | default_value,
|  | string | description
| ) |  |

ConfigVariableDouble | ( | string | name,
|  | double | default_value
| ) |  |

## Member Function Documentation

double getDefaultValue | ( |  | ) |

Returns the variable's default value.

Reimplemented from ConfigVariable.

double getValue | ( |  | ) |

Returns the variable's value.

double getWord | ( | int | n | ) |

Returns the variable's nth value.

ConfigVariableDouble operator= | ( | double | value | ) |

Reassigns the variable's local value.

double operator[] | ( | int | n | ) |

Returns the value of the variable's nth word.

setValue | ( | double | value | ) |

Reassigns the variable's local value.

setWord | ( | int | n,
|  | double | value
| ) |  |

Reassigns the variable's nth value.

This makes a local copy of the variable's overall value.

int size | ( |  | ) |

Returns the number of unique words in the variable.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties